/*
   cmd.c -- PIKT piktd command-line processing routines

   $Header: /home/cvs/ucgsb/pikt/src/piktd/cmd.c,v 1.4 1999/05/25 17:01:08 berto Exp $

   This file is part of PIKT ("Problem Informant/Killer Tool").
   Copyright (C) 1998-99 by Robert Osterlund.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   PIKT is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
   USA.

   This product includes software developed by the University of
   California, Berkeley and its contributors.

   Send problem reports, bouquets and brickbats to:

   robert.osterlund@gsb.uchicago.edu

   Robert Osterlund
   Graduate School of Business
   University of Chicago
   1101 E. 58th Street, W309
   Chicago, IL 60637
   USA
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "common.h"

/* do the first and second given host names match?
   'vienna' matches 'vienna'
   'vienna' matches 'vienna.uppity.edu'
   'vienna.uppity.edu' matches 'vienna'
   'acme.com' matches 'acme.com.uk' and vice-versa--practically speaking,
   is this a problem?  we could check for this weird case, but at the cost
   of slowing down all match checks
 */
int
match (char *hn1, char *hn2)
{
	register int i;
	register char c1, c2;

	i = 0;
	do {
		c1 = *(hn1+i);
		c2 = *(hn2+i);
		i++;
	} while (c1 && c2);
	if (!c1) {
		if (!c2 || (c2 == '.'))
			return TRUE;
	} else if (!c2) {
		if (!c1 || (c1 == '.'))
			return TRUE;
	}
	return FALSE;
}
